Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.stree
Class IndexedDocImpl

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.stree.Child
                  |
                  +--org.apache.xalan.stree.Parent
                        |
                        +--org.apache.xalan.stree.DocumentImpl
                              |
                              +--org.apache.xalan.stree.IndexedDocImpl

public class IndexedDocImpl
extends DocumentImpl
implements IndexedElem

Method Summary
`int` | `getIndex()` An integer indicating where this node's children can be found in the indexed nodes list.
`void` | `setIndex(int anIndex)` An integer indicating where this node's children can be found in the indexed nodes list.

Methods inherited from class org.apache.xalan.stree.DocumentImpl
`appendChild, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createProcessingInstruction, createTextNode, getDoctype, getDocumentElement, getElementById, getIDAttributes, getLevelIndexer, getLocalName, getNodeName, getNodeType, getUseMultiThreading, importNode, setIDAttribute, setUseMultiThreading`

Methods inherited from class org.apache.xalan.stree.Parent
`getChild, getChildCount, getChildUID, getFirstChild, getLastChild, hasChildNodes, isComplete, setComplete`

Methods inherited from class org.apache.xalan.stree.Child
`getAttributes, getChildPosition, getLevel, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, getUid, isNamespaceNode, setAttribute, setLevel, supports`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendData, cloneNode, createAttribute, createEntityReference, deleteData, error, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getImplementation, getLength, getNodeValue, getOwnerElement, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, insertBefore, insertData, item, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, replaceData, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setIndex

    public void setIndex(int anIndex)

  An integer indicating where this node's children can be found in the indexed nodes list.
  Specified by:
    setIndex in interface IndexedElem

### getIndex

    public int getIndex()

  An integer indicating where this node's children can be found in the indexed nodes list.
  Specified by:
    getIndex in interface IndexedElem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.